The card is charged with the payment. In our example we show an ECR payment without one of our terminals using start/cash. You can capture a card payment very similar with start/cashless.
Request
POST /api/v2/Smart/Transactions/STX_PVEGYP82M2NRDMKPE3BCT5ZH0QJKA2/start/cashHost: connect-testing.secuconnect.comAuthenticate: Bearer qb56tjj1bcvo9n2nj4u38k84loAccept: application/jsonIf everything is fine, the API responds with 200 OK and the representation of the Smart Transaction:
Example Response
HTTP/1.1 200 OKContent-Type: application/json...{ "object": "smart.transactions", "id": "STX_PVEGYP82M2NRDMKPE3BCT5ZH0QJKA2", "merchant": { "object": "general.merchants", "id": "MRC_35SZ3R5GGQQP4T0U2T5GFAN9P6C4PG", "companyname": "John's Bakery" }, "device_source": { "object": "smart.devices", "id": "SDV_2YJDXYESB2YBHECVB5GQGSYPNM8UA6" }, "transactions": [ { "object": "loyalty.transactions", "id": "LTX_WVC64P58JEYR37MJ2BAF5H4KZ30BNH" } ], "created": "2020-09-25T11:15:30+02:00", "status": "ok", "transactionRef": null, "merchantRef": null, "intent": "sale", "basket": { "products": [ { "id": 1, "parent": null, "articleNumber": "", "ean": "4260447149502", "desc": "Kartenaufladung 15 EUR", "quantity": 1, "priceOne": 1500, "tax": 7, "group": [], "serialNumber": null, "item_type": "article", "reference_id": null, "contract_id": null, "sum": null } ], "texts": [], "type": "default" }, "receipt": [ { "type": "separator", "value": { "caption": "Kundenkarte" } }, { "type": "name-value", "value": { "name": "Kartennummer: ", "value": "9276004429942845", "decoration": [] } }, { "type": "name-value", "value": { "name": "TA Code: ", "value": "29218171", "decoration": [] } }, { "type": "space" }, { "type": "textline", "value": { "text": "Umsatz erfasst:", "decoration": [] } }, { "type": "textline", "value": { "text": "15,00 EUR", "decoration": [ "important" ] } }, { "type": "space" }, { "type": "textline", "value": { "text": "Aktuelles Guthaben", "decoration": [] } }, { "type": "textline", "value": { "text": "0,00 EUR", "decoration": [ "important" ] } }, { "type": "separator", "value": { "caption": "Kundenkarte Aufladung" } }, { "type": "name-value", "value": { "name": "Kartennummer:", "value": "9276004429942845", "decoration": [] } }, { "type": "name-value", "value": { "name": "TA Code:", "value": "29218173", "decoration": [] } }, { "type": "space" }, { "type": "textline", "value": { "text": "Folgender Betrag", "decoration": [] } }, { "type": "textline", "value": { "text": "wurde aufgeladen:", "decoration": [] } }, { "type": "textline", "value": { "text": "15,00 EUR", "decoration": [ "important" ] } }, { "type": "space" }, { "type": "textline", "value": { "text": "Aktuelles Guthaben:", "decoration": [] } }, { "type": "textline", "value": { "text": "15,00 EUR", "decoration": [ "important" ] } } ], "basket_info": { "sum": 1500, "gratuity": null, "currency": "EUR" }, "idents": [ { "object": "smart.idents", "id": "smi_1", "prefix": "9276", "name": "secucard Kundenkarte", "type": "card", "value": "9276004429942845", "valid": true, "merchantcard": { "object": "loyalty.merchantcards", "id": "MCD_2RXTNXPRM2YG9922UMBHHAEWEGN6AJ", "merchant": { "object": "general.merchants", "id": "MRC_35SZ3R5GGQQP4T0U2T5GFAN9P6C4PG" }, "created_for_merchant": { "object": "general.merchants", "id": "MRC_35SZ3R5GGQQP4T0U2T5GFAN9P6C4PG" }, "card": { "object": "loyalty.cards", "id": "CRD_2U7MTNAMM3PMBPAB50C9G2AEHA9GPJ", "cardnumber": "9276004429942845", "created": "2015-09-28T16:01:20+02:00" }, "cardgroup": { "object": "loyalty.cardgroups", "id": "CRG_2BESGJNETJJRZVVYS8R7JWGVWK4PRZ", "display_name": "Punkte", "display_name_raw": "Punkte", "stock_warn_limit": 0, "picture": "https://connect.secucard.com/ds_g/8e79737df1e2513db48908b342c3cc436edf501a" }, "created_for_store": { "object": "general.stores", "id": "STO_2ZCZRU9V6U8QA7B49K94667UP6C4PJ" }, "customer": null, "is_base_card": true, "points": 0, "cash_balance": 0, "bonus_balance": 0, "balance": 0, "last_usage": "2020-09-18T09:47:08+02:00", "last_charge": "2019-12-10T12:56:08+01:00", "stock_status": "active", "lock_status": "unlocked", "passcode": 0, "expiry_date": null }, "customer": null } ], "payment_method": "cash", "trans_id": "29218171", "is_demo": true, "application_context": { "locks": { "customer": false }, "return_urls": null, "iframe_opts": null }, "checkout_links": null, "payment_links": null}Response status 200 OK, the field "status": "ok" and the receipt show, the payment has been made, and the loyalty card has been loaded.